@import url('https://fonts.googleapis.com/css2?family=Dancing+Script:wght@400;500;600&family=Josefin+Sans:wght@300;400;500;600&family=Open+Sans:wght@400;500&family=Poppins:wght@300;400;500&display=swap');
:root {
  --color-default: #212529;
  --color-primary: rgba(0,159,227,1);
  --color-secondary: #f4781a;
  --color-title: rgb(1,97,175);
  --color-light: rgb(255, 136, 0);
}
:root {
  scroll-behavior: smooth;
}

  /* width */
  ::-webkit-scrollbar {
    width: 7px;
  }
  
  /* Track */
  ::-webkit-scrollbar-track {
    box-shadow: inset 0 0 5px grey; 
    border-radius: 10px;
  }
   
  /* Handle */
  ::-webkit-scrollbar-thumb {
    background: linear-gradient(180deg, var(--color-primary) 0%, var(--color-title) 100%);
    border-radius: 10px;
  }
  
  /* Handle on hover */
  ::-webkit-scrollbar-thumb:hover {
    background: linear-gradient(180deg, var(--color-secondary) 0%, var(--color-light) 100%);
  }
*
{
    padding: 0;
    margin: 0;

}
body
{
  background-image: #fff;
  background-repeat: no-repeat;
  background-position: center;
  background-attachment: fixed;
  
}
.scroll-top {
  position: fixed;
  visibility: hidden;
  opacity: 0;
  right: 15px;
  bottom: 15px;
  z-index: 99999;
  background: linear-gradient(180deg, var(--color-primary) 0%, var(--color-title) 100%);
  width: 44px;
  height: 44px;
  border-radius: 50px;
  transition: all 0.4s;
  text-decoration: none;
}

.scroll-top i {
  font-size: 24px;
  color: #fff;
  line-height: 0;
  
}

.scroll-top:hover {
  background: linear-gradient(180deg, var(--color-secondary) 0%, var(--color-light) 100%);
  color: #fff;
}

.scroll-top.active {
  visibility: visible;
  opacity: 1;
}
#preloader {
  position: fixed;
  inset: 0;
  z-index: 9999;
  overflow: hidden;
  background: #fff;
  transition: all 0.6s ease-out;
  width: 100%;
  height: 100vh;
}

#preloader:before,
#preloader:after {
  content: "";
  position: absolute;
  border: 4px solid var(--color-primary);
  border-radius: 50%;
  -webkit-animation: animate-preloader 2s cubic-bezier(0, 0.2, 0.8, 1) infinite;
  animation: animate-preloader 2s cubic-bezier(0, 0.2, 0.8, 1) infinite;
}

#preloader:after {
  -webkit-animation-delay: -0.5s;
  animation-delay: -0.5s;
}

@-webkit-keyframes animate-preloader {
  0% {
    width: 10px;
    height: 10px;
    top: calc(50% - 5px);
    left: calc(50% - 5px);
    opacity: 1;
  }

  100% {
    width: 72px;
    height: 72px;
    top: calc(50% - 36px);
    left: calc(50% - 36px);
    opacity: 0;
  }
}

@keyframes animate-preloader {
  0% {
    width: 10px;
    height: 10px;
    top: calc(50% - 5px);
    left: calc(50% - 5px);
    opacity: 1;
  }

  100% {
    width: 72px;
    height: 72px;
    top: calc(50% - 36px);
    left: calc(50% - 36px);
    opacity: 0;
  }
}

.navbar
{
    font-family: 'Poppins', sans-serif;
  
}
.navbar .navbar-brand img {
  max-width: 100%;
  max-height: 40px;
}
.navbar ul li a
{
  color: var(--color-default);
}
.navbar ul li a:hover
{
    color: var(--secondary-primary);
}
.nav-item::after {
    content: '';
    display: block;
    width: 0%;
    height: 2px;
    background: var(--color-primary);
    transition: 0.4s;
}

.nav-item:hover::after {
    width: 100%
}
.nav-item .active 
{
color: var(--color-primary) !important;
}
 
.slide-section
{
    margin-top: 100px;
}
.carousel-indicators [data-bs-target] {
  box-sizing: content-box;
  flex: 0 1 auto;
  width: 10px;
  height: 10px;
  padding: 0;
  margin-right: 3px;
  margin-left: 3px;
  text-indent: -999px;
  cursor: pointer;
  background-color:var(--color-primary);
  background-clip: padding-box;
  border: 0;
  border-top: 10px solid transparent;
  border-bottom: 10px solid transparent;

  transition: opacity .6s ease;
  border-radius: 50%;
}
.carousel-indicators [data-bs-target]:hover
{
  background-color: var(--color-secondary);
}

.title-cover
{
  display: flex;
align-items: center;
justify-content: center;
padding-bottom: 20px;
}
.title-text
{
  font-family: 'Josefin Sans', sans-serif;
  position: relative;
  padding-bottom: 10px;
}
.title-text::after
{
  content: "";
    position: absolute;
    background-image: linear-gradient(180deg, var(--color-primary) 0%, var(--color-title) 100%);
    border-radius: 20px;
    bottom: -5px;
    height: 5px;
    left: 25px;
    width: 80px;
    box-sizing: border-box;
 
}
.title-text::before
{
  content: "";
    position: absolute;
    background-image: linear-gradient(180deg, var(--color-title) 0%, var(--color-primary) 100%);
    border-radius: 20px;
    bottom: -5px;
    height: 5px;
    left: 0;
    width: 15px;
    opacity: 0.9;
    box-sizing: border-box;
}
.btn a
{
  text-decoration: none;
  color: #fff;
}
.btn
{
  background: rgb(1,97,175);
background: linear-gradient(90deg, rgba(1,97,175,1) 11%, rgba(0,159,227,1) 100%);

}
.btn:hover
{
  color: #fff;
}
.carousel-caption 
{
background-color: rgba(0, 0, 0, 0.151);

}


.product
{
  cursor: pointer;
}
.cards
{
  transition: .3s transform cubic-bezier(.155,1.105,.295,1.12),.3s box-shadow,.3s -webkit-transform cubic-bezier(.155,1.105,.295,1.12);
  transition-delay: 5s;
}
.card:hover{
  transform: scale(1.01);
box-shadow: 0 10px 20px rgba(0,0,0,.12), 0 4px 8px rgba(0,0,0,.06);
color: var(--color-primary);
}
.card a
{
  text-decoration: none;
  color: #000;
}

.cont-text
{
  font-family: 'Poppins', sans-serif;
  
}
.about p
{
  font-family: 'Poppins', sans-serif;
}

.clients {
  padding-top: 20px;
}
.clients .swiper-slide img{
  opacity: 0.5;
  transition: 0.3s;
  filter: grayscale(100);

}
.clients .swiper-slide img:hover {
  filter: none;
  opacity: 1;
  cursor: pointer;
}
.clients .swiper-pagination {
  margin-top: 20px;
  position: relative;
}
.clients .swiper-pagination .swiper-pagination-bullet {
  width: 12px;
  height: 12px;
  background-color: #fff;
  opacity: 1;
  background-color: #ddd;
}
.clients .swiper-pagination .swiper-pagination-bullet-active {
  background-color: var(--color-primary);
}

.services .icon-box {
  text-align: center;
  border: 1px solid #ebebeb;
  padding: 80px 20px;
  transition: all ease-in-out 0.3s;
  background: #fff;
}
.services .icon-box .icon,
.services .icon-box .icon-2 
{
  margin: 0 auto;
  width: 64px;
  height: 64px;
  border-radius: 4px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 20px;
  transition: 0.3s;
}
.services .icon-box .icon-2  img
{
  width: 75px;
}
.services .icon-box .icon img {
 width: 100px;
  transition: ease-in-out 0.3s;
}
.services .icon-box h4 {
  font-weight: 700;
  margin-bottom: 15px;
  font-size: 20px;
  font-family: 'Poppins', sans-serif;
}
.services .icon-box h4 a {
  color: #151515;
  transition: ease-in-out 0.3s;
  text-decoration: none;
}

.services .icon-box h4 a:hover {
  color: var(--color-primary);
}
.services .icon-box p {
  line-height: 24px;
  font-size: 14px;
  margin-bottom: 0;
}
.services .icon-box:hover {
  border-color: #fff;
  box-shadow: 0px 0 25px 0 rgba(0, 0, 0, 0.185);
  transform: translateY(-10px);
  cursor: pointer;
}
.cta {
  background: linear-gradient(rgba(2, 2, 2, 0.5), rgba(0, 0, 0, 0.5)), url("../images/parralex.jpg") fixed center center;
  background-size: cover;
  padding: 60px 0;
}
.cta h3 {
  color: #fff;
  font-size: 28px;
  font-weight: 700;
  font-family: 'Josefin Sans', sans-serif;
}
.cta p {
  color: #fff;
  font-family: 'Poppins', sans-serif;
}
.cta .cta-btn {
  font-family: "Raleway", sans-serif;
  font-weight: 600;
  font-size: 16px;
  letter-spacing: 1px;
  display: inline-block;
  padding: 8px 28px;
  border-radius: 4px;
  transition: 0.5s;
  margin-top: 10px;
  border: 2px solid #fff;
  color: #fff;
  text-decoration: none;
  transition: .5s all;   
  transition-delay: 5s; 
}
.cta .cta-btn:hover {
  background: rgb(1,97,175);
  background: linear-gradient(25deg, rgba(1,97,175,1) 11%, rgba(0,159,227,1) 100%);
  color: #fff;
  transition-delay: 0s;
}


.Gallery > a {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 2em;
}

.Gallery > a > img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: flex;
  justify-content: center;
  align-items: center;
  box-shadow: 0px 0px 10px #000;
}

.Gallery {
  width: 80%;
  margin: auto;
  padding: 30px 0px;
  display: grid;
  grid-gap: 20px;
  grid-template-columns: repeat(auto-fit, minmax(140px, 1fr));
  grid-auto-rows: 150px;
  grid-auto-flow: dense;
}

.horizontal {
  grid-column: span 2;
}

.vertical {
  grid-row: span 2;
}

.big {
  grid-column: span 2;
  grid-row: span 2;
}

.contact .info-item {
  background: #f4f4f4;
  padding: 30px;
  height: 100%;
}

.contact .info-item .icon {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 56px;
  height: 56px;
  font-size: 24px;
  line-height: 0;
  color: #fff;
  background: var(--color-primary);
  border-radius: 50%;
  margin-right: 15px;
}

.contact .info-item h3 {
  font-size: 20px;
  color: #6c757d;
  font-weight: 700;
  margin: 0 0 5px 0;
  font-family: 'Poppins', sans-serif;
}

.contact .info-item p {
  padding: 0;
  margin: 0;
  line-height: 24px;
  font-size: 14px;
  font-family: 'Poppins', sans-serif;

}

.contact .info-item .social-links a {
  font-size: 24px;
  display: inline-block;
  color: rgba(55, 55, 63, 0.7);
  line-height: 1;
  margin: 4px 6px 0 0;
  transition: 0.3s;
}

.contact .info-item .social-links a:hover {
  color: var(--color-primary);
}

.contact .php-email-form {
  width: 100%;
  margin-top: 30px;
  background: #fff;
  box-shadow: 0 0 30px rgba(0, 0, 0, 0.08);
}

.contact .php-email-form .form-group {
  padding-bottom: 20px;
}

.contact .php-email-form .error-message {
  display: none;
  color: #fff;
  background: #df1529;
  text-align: left;
  padding: 15px;
  font-weight: 600;
}

.contact .php-email-form .error-message br+br {
  margin-top: 25px;
}

.contact .php-email-form .sent-message {
  display: none;
  color: #fff;
  background: #059652;
  text-align: center;
  padding: 15px;
  font-weight: 600;
}

.contact .php-email-form .loading {
  display: none;
  background: #fff;
  text-align: center;
  padding: 15px;
}

.contact .php-email-form .loading:before {
  content: "";
  display: inline-block;
  border-radius: 50%;
  width: 24px;
  height: 24px;
  margin: 0 10px -6px 0;
  border: 3px solid #059652;
  border-top-color: #fff;
  -webkit-animation: animate-loading 1s linear infinite;
  animation: animate-loading 1s linear infinite;
}

.contact .php-email-form input,
.contact .php-email-form textarea {
  border-radius: 0;
  box-shadow: none;
  font-size: 14px;
}

.contact .php-email-form input:focus,
.contact .php-email-form textarea:focus {
  border-color: var(--color-primary);
}

.contact .php-email-form input {
  height: 48px;
}

.contact .php-email-form textarea {
  padding: 10px 12px;
}

.contact .php-email-form button[type=submit] {
  background: var(--color-primary);
  border: 0;
  padding: 12px 40px;
  color: #fff;
  transition: 0.4s;
  border-radius: 50px;
}

.contact .php-email-form button[type=submit]:hover {
  background: var(--color-secondary);
}

@keyframes animate-loading {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}
.footer-basic {
  padding:40px 0;
  background: rgb(1,97,175);
  background: linear-gradient(25deg, rgba(1,97,175,1) 11%, rgba(0,159,227,1) 100%);
  color:#fff;
}

.footer-basic ul {
  padding:0;
  list-style:none;
  text-align:center;
  font-size:18px;
  line-height:1.6;
  margin-bottom:0;
}

.footer-basic li {
  padding:0 10px;
}

.footer-basic ul a {
  color:inherit;
  text-decoration:none;
  opacity:0.8;
  font-family: 'Poppins', sans-serif;

}

.footer-basic ul a:hover {
  opacity:1;
}

.footer-basic .social {
  text-align:center;
  padding-bottom:25px;
}

.footer-basic .social > a {
  font-size:24px;
  width:40px;
  height:40px;
  line-height:40px;
  display:inline-block;
  text-align:center;
  border-radius:50%;
  border:1px solid #ccc;
  margin:0 8px;
  color:inherit;
  opacity:0.75;
  
}

.footer-basic .social > a:hover {
  opacity:0.9;
}

.footer-basic .copyright {
  margin-top:15px;
  text-align:center;
  font-size:13px;
  color:#aaa;
  margin-bottom:0;
  font-family: 'Poppins', sans-serif;
}

.credits {
  padding-top: 10px;
  text-align: center;
  font-family: 'Poppins', sans-serif;
  font-size: 13px;
  color: #aaa;
}
.credits a
{
  text-decoration: none;
color: #fff;
font-weight: bold;
font-family: 'Poppins', sans-serif;
}

